#
# spec file for package rhythmbox
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rhythmbox
Version:        0.13.3
Release:        8.1
Summary:        GNOME Music Management Application
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://www.gnome.org/projects/rhythmbox/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM rhythmbox-CVE-2012-3355.patch CVE-2012-3355 bnc#768681 vuntz@opensuse.org -- Fix insecure temporary directory use in context plugin
Patch0:         rhythmbox-CVE-2012-3355.patch
%if 0%{suse_version} > 1130
%define xulrunner_version 20
%else
%if 0%{suse_version} > 1120
%define xulrunner_version 192
%else
%if 0%{suse_version} > 1110
%define xulrunner_version 191
%else
%define xulrunner_version 190
%endif
%endif
%endif
BuildRequires:  brasero-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-media-devel
BuildRequires:  gstreamer010-plugins-base-devel
BuildRequires:  intltool
BuildRequires:  json-glib-devel
BuildRequires:  libavahi-glib-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libdmapsharing-devel
%endif
%if 0%{?suse_version} >= 1130
BuildRequires:  libgnome-keyring-devel
%else
BuildRequires:  gnome-keyring-devel
%endif
BuildRequires:  libgpod-devel
BuildRequires:  libgudev-1_0-devel
BuildRequires:  libmtp-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libmusicbrainz3-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libwebkit-devel
BuildRequires:  lirc-devel
BuildRequires:  mozilla-xulrunner%{xulrunner_version}-devel
BuildRequires:  python-gstreamer-0_10-devel
BuildRequires:  python-gtk-devel
BuildRequires:  totem-pl-parser-devel
BuildRequires:  update-desktop-files
BuildRequires:  vala-devel
Requires:       gstreamer010-plugins-base
Requires:       gstreamer010-plugins-good
Requires:       python-gstreamer-0_10
Recommends:     %{name}-lang
Recommends:     media-player-info
# Coherence DLNA/UPnP Client plugin
Recommends:     python-coherence
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%gconf_schemas_prereq

%description
Music Management application with support for ripping audio-CD's,
playback of Ogg Vorbis and MP3 and burning of CD-ROMs.

%package devel
Summary:        GNOME Music Management Application -- Development Files
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}

%description devel
Music Management application with support for ripping audio-CD's,
playback of Ogg Vorbis and MP3 and burning of CD-ROMs.

This package contains the development requirements to extend rhythmbox.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
export MOZILLA_PLUGINDIR=%{_libdir}/browser-plugins
%configure\
	--libexecdir=%{_libexecdir}/rhythmbox\
	--disable-static\
	--disable-schemas-install\
	--disable-scrollkeeper\
	--enable-lirc\
	--enable-python\
	--enable-vala
%__make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file %name Player
%suse_update_desktop_file rhythmbox-device
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
find %{buildroot} -type f -name "*.la" -delete -print
# FIXME: No headers provided => no use for development files outside sources:
rm %{buildroot}%{_libdir}/rhythmbox/plugins/visualizer/rb-visualizer-glue.h
#%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
/sbin/ldconfig
%if 0%{?suse_version} > 1130
%desktop_database_post
%icon_theme_cache_post
%endif

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
/sbin/ldconfig
%if 0%{?suse_version} > 1130
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog DOCUMENTERS INTERNALS MAINTAINERS MAINTAINERS.old NEWS README THANKS
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/rhythmbox
%{_bindir}/rhythmbox-client
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/applications/rhythmbox-device.desktop
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/icons/hicolor/*/apps/rhythmbox*
%{_datadir}/icons/hicolor/*/places/music-library.*
%{_datadir}/rhythmbox/
%{_libdir}/librhythmbox-core.so.*
%{_libdir}/browser-plugins/librhythmbox-itms-detection-plugin.*
%dir %{_libdir}/rhythmbox
%dir %{_libdir}/rhythmbox/plugins
%{_libdir}/rhythmbox/plugins/artdisplay/
%{_libdir}/rhythmbox/plugins/audiocd/
%{_libdir}/rhythmbox/plugins/audioscrobbler/
%{_libdir}/rhythmbox/plugins/cd-recorder/
%{_libdir}/rhythmbox/plugins/context/
# Needs a newer libdmapsharing
#%{_libdir}/rhythmbox/plugins/daap/
%{_libdir}/rhythmbox/plugins/dbus-media-server/
%{_libdir}/rhythmbox/plugins/fmradio/
%{_libdir}/rhythmbox/plugins/generic-player/
%{_libdir}/rhythmbox/plugins/im-status/
%{_libdir}/rhythmbox/plugins/ipod/
%{_libdir}/rhythmbox/plugins/iradio/
%{_libdir}/rhythmbox/plugins/jamendo/
%{_libdir}/rhythmbox/plugins/lyrics/
%{_libdir}/rhythmbox/plugins/magnatune/
%{_libdir}/rhythmbox/plugins/mmkeys/
%{_libdir}/rhythmbox/plugins/mpris/
%{_libdir}/rhythmbox/plugins/mtpdevice/
%{_libdir}/rhythmbox/plugins/power-manager/
%{_libdir}/rhythmbox/plugins/python-console/
%{_libdir}/rhythmbox/plugins/rb/
%{_libdir}/rhythmbox/plugins/rblirc/
%{_libdir}/rhythmbox/plugins/rbzeitgeist/
%{_libdir}/rhythmbox/plugins/replaygain/
%{_libdir}/rhythmbox/plugins/sample-vala/
%{_libdir}/rhythmbox/plugins/sendto/
%{_libdir}/rhythmbox/plugins/status-icon/
%{_libdir}/rhythmbox/plugins/upnp_coherence/
%{_libdir}/rhythmbox/plugins/visualizer/
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libexecdir}/rhythmbox/
%endif
%{_libexecdir}/rhythmbox/rhythmbox-metadata
%{_mandir}/man1/rhythmbox.*
%{_mandir}/man1/rhythmbox-client.*

%files devel
%defattr(-, root, root)
%{_includedir}/rhythmbox/
%{_libdir}/pkgconfig/rhythmbox.pc
%{_libdir}/librhythmbox-core.so
%{_datadir}/gtk-doc/html/rhythmbox/

%files lang -f %{name}.lang

%changelog
* Tue Jul 24 2012 vuntz@opensuse.org
- Add rhythmbox-CVE-2012-3355.patch: fix insecure temporary
  directory use in context plugin. Fix bnc#768681, CVE-2012-3355.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Mon Jan 17 2011 dimstar@opensuse.org
- Update to version 0.13.3:
  + Reimplemented source list, allowing for things that aren't
    sources
  + Updated notifications, mostly for GNOME Shell
  + Expose playlists in MPRIS and MediaServer2 DBus interfaces
  + New context pane tab showing links to various websites
  + Bugs fixed: bgo#510679, bgo#599294, bgo#609009, bgo#622980,
    bgo#633531, bgo#633542, bgo#634065, bgo#634114, bgo#635323,
    bgo#635963, bgo#635964, bgo#636482, bgo#636550, bgo#637174,
    bgo#637819, bgo#639266
  + Updated translations.
- Drop rhythmbox-fix-upnp-plugin.patch: fixed upstream.
* Fri Nov 19 2010 vuntz@opensuse.org
- Add json-glib-devel BuildRequires to build the last.fm plugin.
- Explicitly list the plugins in the file list, so we can know when
  we lose a plugin because of missing dependencies.
* Sat Nov  6 2010 dimstar@opensuse.org
- Update to version 0.13.2:
  + Much improved Last.fm (and Libre.fm) plugin
  + Support for DACP (iTunes remote)
  + Zeitgeist plugin
  + New podcast sub-sources showing newly posted and recently
    downloaded episodes
  + Slightly improved integration with the GNOME Shell message tray
  + Various fixes for iPod support
  + Bugs fixed: bgo#341462, bgo#345957, bgo#381679, bgo#589886,
    bgo#591841, bgo#592428, bgo#601152, bgo#604170, bgo#612156,
    bgo#618619, bgo#623200, bgo#625030, bgo#625054, bgo#625214,
    bgo#628254, bgo#628330, bgo#628791, bgo#628794, bgo#629038,
    bgo#630689, bgo#631008, bgo#631191, bgo#631218, bgo#631355,
    bgo#631698, bgo#631817, bgo#632119, bgo#632475, bgo#632655,
    bgo#633531.
- Drop rhythmbox-vala-detection.patch: fixed upstream.
- Remove gnome-common BuildRequires and call to autogen.sh.
- Use xulrunner 2.0 for openSUSE 11.4.
* Sat Oct  9 2010 vuntz@opensuse.org
- Add media-player-info Recommends: the data is important for media
  player devices support.
* Mon Sep  6 2010 dimstar@opensuse.org
- Update to version 0.13.1:
  + Support for MPRIS version 2
  + RhythmDBEntryType converted to a GObject to improve binding
    sanity
  + Improved handling of files on unmounted devices and network
    shares
  - Only attempts to check files on core filesystems and mounted
    local devices
  - Doesn't check files on network shares, relying on playback
    error reporting to identify missing files
  + New less annoying method of handling invocation for media
    player devices
  + rhythmbox-client now waits long enough to control a newly
    started instance
  + More reliably imports and plays files specified on the command
    line (opening a file with nautilus will now do something useful
    most of the time)
  + Use the current sorting column for typeahead searching
  + Extended (static) vala bindings
  + Initial implementation of the Rygel MediaServer2 D-Bus
    specification
  + Bugs fixed: bgo#329984, bgo#482813, bgo#488308, bgo#498582,
    bgo#544154, bgo#581076, bgo#609542, bgo#623024, bgo#623153,
    bgo#623667, bgo#623992, bgo#624646, bgo#624895, bgo#625103,
    bgo#625105, bgo#625124, bgo#625130, bgo#625375, bgo#626608,
    bgo#626986, bgo#627050, bgo#627396, bgo#627949, bgo#627951,
    bgo#628076, bgo#628254
  + Updated translations.
* Thu Sep  2 2010 vuntz@opensuse.org
- Add libdmapsharing-devel BuildRequires on 11.4 and later, to
  enable DAAP support.
* Mon Aug 30 2010 dimstar@opensuse.org
- Add rhythmbox-vala-detection.patch, properly detect vala. Newer
  versions do no longer provide a .pc file (bgo#628330).
- Add gnome-common BuildRequires and call to autogen.sh.
* Wed Aug 11 2010 vuntz@opensuse.org
- Add libwebkit-devel BuildRequires.
- Merge doc subpackage in devel subpackage, since it's the
  developer documentation.
* Fri Aug  6 2010 dimstar@opensuse.org
- Update to version 0.13.0:
  + Improved GStreamer codec installation
  + New metadata fields: comment, BPM, Album artist
  + MMS and RTSP streams should work properly now
  + Always visible on startup when started manually
  + New implementation of the MPRIS D-Bus interface spec
  + Creates nested folders on MTP devices
  + Installs header, VAPI and pkg-config files for external
    plugins
  + DAAP plugin now uses libdmapsharing
  + Library, playlist and podcast syncing for media players
  + Fixed interaction with Brasero for CD burning
  + New application icon
  + Displays HTML podcast episode descriptions using WebKit
  + Updates for Magnatune's new purchase process
  + Bugs fixed: bgo#310774, bgo#320507, bgo#324845, bgo#341702,
    bgo#404698, bgo#454889, bgo#457088, bgo#501554, bgo#520046,
    bgo#525094, bgo#527898, bgo#530775, bgo#537868, bgo#538240,
    bgo#559849, bgo#560940, bgo#566852, bgo#581885, bgo#592470,
    bgo#593641, bgo#593968, bgo#595425, bgo#596615, bgo#612714,
    bgo#612867, bgo#612942, bgo#613526, bgo#613941, bgo#614084,
    bgo#614139, bgo#614184, bgo#614351, bgo#616411, bgo#616636,
    bgo#617157, bgo#617587, bgo#618025, bgo#618520, bgo#619247,
    bgo#619576, bgo#619677, bgo#619907, bgo#619925, bgo#620069,
    bgo#620199, bgo#620256, bgo#620857, bgo#621434, bgo#622215,
    bgo#622613, bgo#622723, bgo#622753
  + Updated translations.
- Split out a devel package.
* Sun Mar 28 2010 vuntz@opensuse.org
- Update to version 0.12.8:
  + Last.fm cover art search
  + Automatically unmount MTP devices mounted by gvfs
  + More improvements to mixed-direction text display
  + Bugs fixed:
  - bgo#520121 - MTP plugin fights with gvfs' gphoto2 backend
  - bgo#609651 - Album Artwork Does Not Display Immediately For
    Embedded Artwork
  - bgo#610753 - Fix mixed-direction text in header widget
  - bgo#482955, bgo#527898, bgo#528513, bgo#551402, bgo#600494,
    bgo#603261, bgo#607073, bgo#611541, bgo#611714, bgo#611772,
    bgo#612570, bgo#613163, bgo#613540, bgo#613542, bgo#613606,
    bgo#613658, bgo#613715, bgo#613784
  + Updated translations.
* Mon Mar  1 2010 dimstar@opensuse.org
- Update to version 0.12.7:
  + New ReplayGain plugin, replacing the old broken ReplayGain code
  + Nautilus-sendto plugin
  + Support for Magnatune streaming and download accounts
  + Support for pidgin in the IM status plugin
  + Context pane plugin now uses the GTK+ font settings
  + Support for artist and album sort names
  + Now depends on GTK+ 2.16, GLib 2.18, and pygobject 2.16 (no
    more libgnome, libgnomeui, gnome-vfs, or libsexy code anywhere)
  + As GSEAL-ready as we can make it for now
  + Compatible with the new totem-plparser save API
  + Disentangled 'delete', 'remove', and 'remove from playlist'
    actions
  + Improvements to display of mixed-direction text
  + Simplified selection of audio CD tracks to extract
  + Playlist creation should work on more generic player devices
    now
  + Bugs fixed: bgo#316257, bgo#338221, bgo#378355, bgo#384483,
    bgo#424878, bgo#485730, bgo#518540, bgo#533727, bgo#537483,
    bgo#542055, bgo#547174, bgo#559582, bgo#564800, bgo#584593,
    bgo#584704, bgo#593188, bgo#594132, bgo#595795, bgo#601524,
    bgo#602015, bgo#602140, bgo#602615, bgo#602616, bgo#602679,
    bgo#603258, bgo#603263, bgo#603444, bgo#603876, bgo#603929,
    bgo#604186, bgo#604188, bgo#604189, bgo#604292, bgo#604771,
    bgo#605023, bgo#605038, bgo#605031, bgo#605313, bgo#605583,
    bgo#605584, bgo#605725, bgo#606470, bgo#606472, bgo#607263,
    bgo#607265, bgo#607538, bgo#607672, bgo#607897, bgo#607935,
    bgo#608397, bgo#609306, bgo#609767, bgo#609908, bgo#609916,
    bgo#610440, bgo#610643, bgo#610655
- Drop libsexy-devel BuildRequires.
- Drop rhythmbox-fix-build-with-totem.patch, upstream included
* Sat Jan 30 2010 captain.magnus@opensuse.org
- Add rhythmbox-fix-build-with-totem.patch to fix build with latest
  totem-pl-parser. Patch taken from upstream and can be removed
  with the next version update
* Thu Jan 21 2010 vuntz@opensuse.org
- Add rhythmbox-fix-upnp-plugin.patch to make UPnP plugin not fail
  on startup. Fix bnc#564206, bgo#599294.
* Thu Jan  7 2010 vuntz@opensuse.org
- Build against mozilla-xulrunner192-devel on openSUSE > 11.2.
* Mon Jan  4 2010 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel on 11.3 and later, following the module
  split upstream.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 0.12.6:
  + Context pane plugin
  + Power management plugin reworked to use new D-Bus API
  + MTP plugin reworked to do everything asynchronously
  + Volume slider levels match what PulseAudio displays
  + Playback pipeline filter interfaces actually work properly now
  + Much improved visualization performance when crossfading is
    enabled
  + Bugs fixed:
  - bgo#499048 - Filter insertion and removal on non-xfade
    backend is not robust.
  - bgo#499051 - xfade backend doesn't play nice with LADSPA
    filters (or is it the reverse ?)
  - bgo#499052 - Filter removal on xfade backend is not robust.
  - bgo#534981 - Add multi threading to MTP Support
  - bgo#564772 - MTP plugin crash when I plug-in my Creative Zen
  - bgo#564800 - GnomeGoals: Remove deprecated GTK+ symbols
  - bgo#589845 - im-status: use mission control dbus interface
  - bgo#590474 - Podcast entry disappears from display during
    download
  - bgo#594901 - fails to display cover image from id3 tag
  - bgo#595966 - leaked string in rb_stock_icons_init
  - bgo#596573 - [PATCH] Do not use gnome-power-manager for
    inhibits, instead use gnome-session
  - bgo#597706 - rhythmbox crashed with SIGSEGV in g_object_get()
  - bgo#597708 - rhythmbox crashed with SIGSEGV in
    rb_source_get_config_widget()
  - bgo#597708 - DAAP plugin doesn't link to libsoup
  - bgo#598135 - Should init error before call
    libhal_device_get_property_string
  - bgo#598302 - Use GDK spawn functions to handle multi-screen
  - bgo#598613 - Rhythmbox shows cover art of previous track in
    Notification Bubble if current track has no cover art
  - bgo#598955 - Use Cubic volume when StreamVolume interface is
    available
  - bgo#600058 - Feed is not parsed when title tag is empty
  - bgo#600513 - Generates invalid Brasero project
  - bgo#600549 - Crash when transferring a track over MTP with a
    slash in the track title
  - bgo#600624 - track information is not displayed correctly
    sometimes when playing internet radios
  - bgo#600995 - Elapsed time indicator is wrong when seeking
  - bgo#601352 - Crash while editing automatic playlist
  - bgo#601460 - Rhythmbox gets laggy when copying music to iPod
  - bgo#601528 - Play button doesn't work after finishing a
    playlist
  - bgo#602615 - rhythmbox fails to build if python bindings are
    built and ld's --no-add-needed is used
  + Updated translations.
- Drop rhythmbox-fix-inhibit.patch: fixed upstream.
* Wed Oct  7 2009 vuntz@opensuse.org
- Add rhythmbox-fix-inhibit.patch to fix the inhibit plugin, so it
  uses the new dbus API.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 0.12.5:
  + New cover art search code using discogs.com and MusicBrainz,
    replacing the Amazon cover art search that no longer works
  + Updated Coherence UPnP plugin
  + Clicking on the status icon summons the main window to the
    current workspace
  + Bugs fixed:
  - bgo#410684 - MusicBrainz cover art search
  - bgo#590184 - Update .desktop file for new GenericName
    conventions
  - bgo#592404 - use correct icon name for the throbber
  - bgo#592763 - fix some button definitions so the button-images
    setting works
  - bgo#593494 - display location column in playlists if enabled
  - bgo#594008 - fix reading of symlinks with non-ASCII targets
  - bgo#594124 - fix incorrect variable name in gio chunk loader
  - bgo#594419 - disable non-functional lyricwiki search
  - bgo#594728 - deadlock setting replaygain-adjusted volume
  + Updated translations.
- Do not change the Name in the desktop file: it's fixed usptream
  now.
* Sun Aug 23 2009 dimstar@opensuse.org
- Update to version 0.12.4:
  + New HAL-free media player detection code (using GUdev and the
    media-player-id collection of device info files)
  + Improved MTP device detection allowing multiple devices and
    devices not explicitly supported by libmtp
  + Audio CD improvements: allow metadata retrieval to be retried,
    link to the musicbrainz submission page when data is missing
  + Configurable action for mouse-wheel events on the status icon
    (volume control or next/previous track)
  + Rearranged to link properly (should help building on Windows or
    with -Wl,-as-needed, probably)
  + Variety of crashes fixed
  + Occasional transfer problems with MTP devices fixed
  + Bugs fixed:
  - bgo#322265 - Can't reload CD metadata
  - bgo#376863 - option to configure default action of mouse roll
    event on tray icon
  - bgo#437110 - librhythmbox-core.so missing some library links
  - bgo#535065 - If a cd is not listed in musicbrainz it can not
    be added
  - bgo#561953 - Scan Removable Devices don't works with MTP
    music players
  - bgo#563544 - rework MTP device detection for libmtp 0.3.0
  - bgo#580440 - lists with only one song don't repeat with both
    "repeat" and "shuffle" selected
  - bgo#585595 - crash at end of playlist with crossfading
    disabled
  - bgo#586598 - use streaming song titles for lyrics searches
  - bgo#587662 - improved warning message in python plugin
    support code
  - bgo#588248 - link last.fm plugin with libsoup-gnome
  - bgo#588257 - occasional crash on shutdown
  - bgo#590108 - crashes if there are no saveable metadata types
  - bgo#591874 - pack right sidebar with shrinking disabled
  - bgo#592325 - crashes initialising an iPod Touch
  + Updated translations
- Replace hal-devel BuildRequires with libgudev-1_0-devel.
* Fri Aug 21 2009 vuntz@novell.com
- Add missing BuildRequires for optionale features: hal-devel (fix
  bnc#532989), gnome-keyring-devel and vala-devel.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.12.3:
  + Only attempts to install GStreamer audio decoder plugins
  + More accurate lyrics and cover art searches
  + Problems with M4A files in podcasts fixed
  + CD playback and ripping improvements:
  - Fixed playback when crossfading is enabled
  - New entry fields for album artist, genre, year, disc number
  - Album artist is used when constructing filenames
  - Song title, genre, and artist can be edited in the track list
  - Increased extraction buffer size, meaning faster ripping
  + Playback position slider updates more frequently
  + Better behaviour with PulseAudio's flat volume
  + Support for automatic proxy configuration (via libsoup-gnome)
  + Clean up empty directories on media player devices
  + Improved playback from MTP devices
  + Some improvements manually added and IPv6 addressed DAAP
    servers
  + Bugs fixed: bgo#331272, bgo#345712, bgo#349066, bgo#358313,
    bgo#382906, bgo#425239, bgo#437324, bgo#479897, bgo#501217,
    bgo#502670, bgo#516192, bgo#531310, bgo#537113, bgo#539007,
    bgo#550491, bgo#556296, bgo#576005, bgo#583108, bgo#583700,
    bgo#583934, bgo#584182, bgo#584248, bgo#584378, bgo#584394,
    bgo#584588, bgo#584726, bgo#584770, bgo#584804, bgo#584927,
    bgo#584930, bgo#584958, bgo#585043, bgo#585114, bgo#585524,
    bgo#586363, bgo#586365, bgo#586803, bgo#586922, bgo#586985,
    bgo#587329, bgo#587479, bgo#587595, bgo#587691
* Sun Jun 14 2009 vuntz@novell.com
- Add python-coherence Recommends for the UPnP plugin.
* Tue Jun  2 2009 vuntz@novell.com
- Update to version 0.12.2:
  + Support for cover art images embedded in song metadata
  + New plugin that sets your IM status to describe the current
    playing song
  + Last.fm submission protocol v1.2 (including the 'now playing'
    feature)
  + New status icon plugin
  + Replaced libglade with GtkBuilder
  + Switched from playbin to playbin2 when crossfading is disabled,
    providing gapless playback and better support for visualization
  + Bugs fixed:
  - bgo#158168 - Rhythmbox should minimize to tray on Exit
  - bgo#317982 - Notification icon redundant when applet is used
  - bgo#324114 - Minimize to nothing (no tray)
  - bgo#331019 - Show notification when unfocused but not
    minimized
  - bgo#345975 - Show album covers embedded in files e.g. mp3 ID3
    tags
  - bgo#349280 - Move to GtkStatusIcon (Help kill libegg)
  - bgo#396409 - Radio stations using chained oggs break
    rhythmbox
  - bgo#397196 - rhythmbox error report "Unknown playback error"
    needs improvement
  - bgo#406807 - visualisation plugin blocks video output when
    not active
  - bgo#501998 - Mouse pointer should disappear in fullscreen
    visualization
  - bgo#509845 - Keyboard shortcuts should work with fullscreen
    visuals
  - bgo#526493 - New plugin: change IM status according played
    song
  - bgo#542922 - Use playbin2 instead of playbin
  - bgo#551002 - "Don't Really Close" should have an animation
  - bgo#562016 - Migrate from libglade to GtkBuilder
  - bgo#567335 - Crash in while playing file and visualizing
  - bgo#579137 - Cannot rearange playlists longer than one screen
    size
  - bgo#580269 - Rhythmbox won't compile with latest
    totem-pl-parser
  - bgo#580663 - WKNC Radio streams have changed URL
  - bgo#580721 - Crashes when not selecting the limiting kind
  - bgo#580743 - Rhythmbox doesn't support the newest
    audioscrobbler api
  - bgo#581468 - Missing im-status plugin file in POTFILES.in
  - bgo#581574 - Rhythmbox tries to import desktop files
  - bgo#582130 - [PATCH] New Jamendo Logo
  - bgo#583171 - crash due to plugins.ui not being installed
  - bgo#583926 - NetBSD doesn't have sys/vfs.h
  - bgo#583938 - Unportable test(1) construct in configure script
  + Updated translations.
- Drop rhythmbox-totem-pl-parser-api.patch: fixed upstream.
- Remove libglade2-devel BuildRequires.
* Mon May 25 2009 lnussel@suse.de
- lirc -> lirc-devel in BuildRequires
* Wed May 20 2009 vuntz@novell.com
- Add rhythmbox-totem-pl-parser-api.patch to fix build with latest
  totem-pl-parser.
- Do not package omf files twice.
* Sun May 17 2009 vuntz@novell.com
- Change python-gstreamer-0_10 BuildRequires to
  python-gstreamer-0_10 to fix build.
* Wed May  6 2009 vuntz@novell.com
- Build against mozilla-xulrunner191 on openSUSE > 11.1.
* Tue Apr 28 2009 vuntz@novell.com
- Update to version 0.12.1:
  + Removal of libgnome dependency when building with gtk+ 2.14+
  + Greatly reduced memory usage when accessing Jamendo catalog
  + Cover art improvements:
  - Provide cover art for all songs transferred to iPods
  - Support for transferring cover art to MTP devices
  - Cover art image widget is better behaved when resized
  + Switched to decodebin2, notably allowing playback of chained
    ogg streams
  + Better support for lossless encoded files in the UI
  + Compatibility with the DeviceKit-disks gvfs volume monitor
  + Some support for 'album sortname' tags
  + Allow configuration of the audioscrobbler handshake URL
    (libre.fm)
  + Improved network buffering in the crossfading player backend
  + Bugs fixed: bgo#576031, bgo#513828, bgo#529873, bgo#576238,
    bgo#510236, bgo#576846, bgo#576987, bgo#576925, bgo#576673,
    bgo#365154, bgo#576038, bgo#577840, bgo#577465, bgo#578060,
    bgo#337438, bgo#576574, bgo#426164, bgo#443720, bgo#578514,
    bgo#578398, bgo#570600, bgo#577753, bgo#473757, bgo#579262,
    bgo#579465
- Drop libgnomeui-devel BuildRequires since it's not needed
  anymore.
* Thu Mar 19 2009 vuntz@novell.com
- Update to version 0.12.0:
  + Replaced gnome-vfs with GIO
  + New CD burning plugin using Brasero
  + Improvements to the cross-fading player backend
  + Various improvements to MTP device support
  + Updated audio CD metadata code, supporting CD-Text and
    musicbrainz3
  + User data and cached files moved to XDG base directory spec
    locations
  + Much clearer indication of problems with last.fm login and
    streaming
  + Where possible, provide a simple means to duplicate audio CDs
  + Greatly improved performance when accessibility is enabled
  + Updated Coherence UPnP plugin
  + iPod improvements: avoid creating duplicates, add a device
    properties dialog, initialize brand new ipods
  + Support for more last.fm stream types
  + GTK+ and GLib usage cleanups: use single header includes,
    stop using deprecated functions and widgets
  + Reworked tray icon tooltip using GtkTooltip instead of
    SexyTooltip
  + Random play order should repeat itself far less often
  + If using pulseaudio, control the output volume using the PA
    stream volume
  + Reworked search infrastructure that might make interesting
    things possible
  + Updated translations.
- Drop libmtp8.patch: fixed upstream.
- Remove unneeded BuildRequires: gnome-common, gtk-doc,
  libid3tag-devel, python-devel, scrollkeeper.
- Add libmusicbrainz3-devel BuildRequires.
- Remove nautilus-cd-burner-devel from BuildRequires and use
  brasero-devel instead.
- Use py_requires.
- Remove -fno-strict-aliasing from CFLAGS.
- Pass --enable-python to make sure we fail if python plugins can
  not be built for some reason.
- Stop adding DocPath to the desktop file: yelp doesn't need this.
- Remove sr@latin workaround.
- Don't package non-existing README.iPod and TODO.
* Sat Jan 31 2009 vuntz@novell.com
- Use sr@latin instead of sr@Latn.
* Wed Jan 28 2009 vuntz@novell.com
- Remove perl-XML-Parser BuildRequires.
- Remove check for SUSE/openSUSE <= 1010
* Mon Oct 27 2008 vuntz@novell.com
- Don't call "autoreconf -f -i": we don't need it, and for some
  weird reason, it blocks the python plugins build.
* Tue Oct  7 2008 meissner@suse.de
- build with xulrunner190 instead of 181
* Mon Aug 25 2008 vuntz@novell.com
- Update to version 0.11.6:
  + Relicensed with GPL exception for GStreamer plugins
  + Improvements to the cross-fading playback backend
  + Use Amazon ECS 4.0 web service for cover art searches
  + Remember browser state for (some) removable devices
  + Automatically remove podcast episodes that are no longer
    available
  + Only display error dialogs for manually triggered podcast
    updates
  + Allow playlists from DAAP shares to be sorted
  + Fix transcoding when transferring to MTP devices
  + Start moving cached data to XDG_CACHE_HOME
  + More inclusive local cover art search
  + Lots of improvements to the iPod plugin
  + Switch to the new last.fm streaming system
  + Much improved API documentation coverage
  + Updated translations.
* Tue Jul  1 2008 aj@suse.de
- Build fix for libmtp8.
* Fri Mar 21 2008 vuntz@suse.de
- Also require python-gstreamer-0_10.
* Fri Mar 21 2008 vuntz@suse.de
- Update to version 0.11.5:
  + Improvements to the cross-fading playback backend
  + Assorted bug fixed for MTP device support
  + Add "shuffle playlist" command for playlists
  + Improvements to iPod art and podcast support
  + Fix some issues causing problems for accessability tools
  + Several major improvements to UPnP support (including acting as
    a renderer)
  + List Rhythmbox as supporting lastfm:// URIs
  + Updated translations.
- Remove rhythmbox-check.patch, fix upstream.
- Reenable audioscrobbler and daap plugins since we have libsoup2.4
  now.
- Build require libmtp-devel to enable the mtp plugin.
- Build require python-gstreamer-0_10 to enable python plugins.
- Build require gcc-c++ and xulrunner to enable the itunes
  detection browser plugin. Put the plugin in
  %%{_libdir}/browser-plugins and add it to the package.
* Thu Feb 28 2008 jpr@suse.de
- Update to 0.11.4
  * Support automatic GStreamer plugin installation
  * Improved cross-fading backend
  * Improved Podcast feed support, including Atom and APML
  * Add optional mozilla plugin to handle itms:// links
  * Fade volume when pausing and unpausing
  * Improve performance and stability of MTP device support
  * Stop putting deleted tracks on iPods in the Garbage Bin
  * Support PSPs with newer firmware
  * Improvements to the Coherence-based UPnP support
  * Minor improvements to Python bindings for plugins
  * Allow drag-and-drop of images to the cover art display
  * Allow DAAP shares to be connected to manually
  * Support DAAP smart playlists and radio streams
  * Handle file name being passed on the command line again
  * Add "donate to artist" action to Jamendo plugin
  * Support some more lyric sites
  * Improvements and fixes to the cross-fading player
  * Improve UPnP support
  * Improve track importing, especially on generic audio players
  * Allow python plugins to use threads
  * Enable music store plugins by default
  * Support playback from fm radio tuner cards
  * add partial support for UPnP A/V using Coherence
  * large memory usage reductions for the Jamendo plugin
  * read some keys from .is_audio_player files, like Banshee
  * handle playlist-paths given to us by HAL better
  * allow plugins to add new play orders
  * notify last.fm about songs played on iPods
  * more new icons
  * make gapless/xfade playback and visualisations work together better
  * handle lastfm:// URIs
  * make Magnatune/Jamendo loading intro saner on small screens
  * fix last.fm streaming
  * allow the user of Magnatune gift cards
  * do iPod DB saving in the background, not blocking the UI
  * vastly reduce the Jamendo plugin's memory usage
  * add support for MTP audio players
  * clean up the playback preferences UI
  * update play count, rating and last played on iPods
  * add support for multiple lyrics sites, and allow editing of lyrics
  * Add gapless/cross-fading playback backend (130426)
  * Add awesome Tango-style icons (388648, 380896, 388650, 314608)
  * Don't wake up the CPU all the time while doing nothing (399012)
  * Allow plugins to add filer and tee elements/sub-piplines
  to the gstreamer pipeline (345181)
  * Group sources together (359740)
  * Add DB support for keywords (324540)
  * Save modified iPod playlists (436744), and
  marks podcasts as such (424086)
  * Fix Unicode normalisation, which also makes searching
  ignore diacritical marks (421253, 338824)
  * Use xdg-user-dirs, and kill the druid (yay!) (411247)
  * Write art out to the DB on iPods (357400)
  * Parse last.fm group radio URLs too (407320)
  * Add support for MusicBrainz id tags (410681)
  * Minor improvements to the cover-art plugin
  * Retrieve cover art from last.fm (414065) and Magnatune (411622)
  * Add some more useful options to rhythmbox-client (414648)
  * Add preliminary support for Vala plugins
  * Use GSequence instead of EggSequence (419599)
  * plus a heap of bug fixes and minor improvements
  * fix saving of db on iPod shuffles (386662)
  * fix some crashes on Solaris (418886)
  * fix crasher due to python logging (429687)
  * fix crash when MusicBrainz returns nothing (414864)
  * prefer id3v2 over v1, even when they arrive later (428276)
  * fix crash when doing entry.get() from python (432949)
  * cancel async gnomevfs transfers correctly (434003)
  * fix query model reorder issues (436329)
  * remove timeout correctly (436355)
  * don't remove items from list being iterated (404169)
  * build against totem-plparser 2.19's new API
  * Updated translations
- Remove rhythmbox-0.9.6-uninit-debug.patch, the problematic code
  was removed upstream
* Wed Feb  6 2008 ro@suse.de
- use --disable-audioscobbler and --disable-daap for the moment
  the required libsoup has changed its api
* Thu Oct 11 2007 sbrabec@suse.cz
- Use binding specific avahi package.
* Tue Sep  4 2007 ro@suse.de
- kill fdupes for the moment, breaks bundle-lang
* Wed Aug  8 2007 maw@suse.de
- Split off a -lang subpackage.
* Sun Jul 15 2007 aj@suse.de
- Use fdupes to shrink size.
- Add explicit build requirement on lirc.
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 0.10.0
- Fixes for bugzilla.gnome.org #410601, #411783, #411558, #411189,
  [#413206], #393642, #416024, #411141, #380411, #411145, #413301,
  [#419874], #411584, #413640, #411703, #411038, #410940, #412931,
  [#409164], #416213, #420444, #395124, #414980, and #419153
- Updated translations for the ar, da, dz, en_GB, fr, hu, it,
  pt_BR, sv, and zh_CN locales.
* Tue Apr 10 2007 sbrabec@suse.cz
- Updated to version 0.9.8:
  * UI and usability changes.
  * More player devices supported.
  * Plugin design.
  * New plugins and music servers supported.
  * Translation updates.
  * See NEWS for more.
* Mon Apr  9 2007 ro@suse.de
- fix build with updated check package
* Fri Mar  9 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Thu Mar  1 2007 sbrabec@suse.cz
- Fixed autoreconf (#249608).
* Mon Feb 19 2007 mvaner@suse.cz
- Removing debug print of not yet inicialized variable (bug #228710)
  - uninit-debug.patch
* Tue Dec 19 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov 16 2006 sbrabec@suse.cz
- Updated to version 0.96:
  * fix DAAP seeking
  * display track numbers in playlists too
  * retrieve playlsit and audio folder information from HAL
  * make search box coloured when active
  * improve ID3 tag writing
  * load local cover art, and large improvements to plugin
  * build fixes: Solaris
  * Store MusicBrainz track IDs in the DB
  * fix some i18n issues
  * add gnome-keyring support to DAAP
  * allow hiding of plugins and disabler per-user plugins
  * plugin improvements
  * HTTP proxy-related fixes/improvements
  * drag-and-drop improvements
  * importing fixes
  * add "property changed" signal for dbus clients
  * turn CD burning into a plugin
  * turn audio CD support into a plugin
  * LIRC plugin fixes
  * improve database thread usage
  * make DB handle unknown entry-types
  * improve plugin debug output, and bindings
  * improve "import errors" and "missing files" source
  * fix many memory leaks
  * use GMapperFiles for DAAP transfers, fixing some iTunes clients
  * add support for alternate playlists files
  * handle transparent panels correctly
  * fix playlists subset searching
  * make iradio playlists handling better
  * use GOption instead og popt
  * remember visibility for remote files, as well as local ones
  * be smarter about creating podcast file names
  * allow multiple selections in the Import Folder dialog
  * Bug fixes, performance and memory improvements, and minor
    features
  * Translation updates
- Enabled all optional features.
* Sat Oct 14 2006 danw@suse.de
- Remove a patch that's been disabled since at least SLED10
* Fri Oct 13 2006 aj@suse.de
- Adjust BuildRequires for gnome-doc-utils.
* Sun Sep  3 2006 aj@suse.de
- Update to rhythmbox 0.95:
  * Adjust for libnautilus-burn 2.15.3 API
  * Fixes for ipod
  * improve DBus interface
  * many bug fixes
* Mon Apr  3 2006 jpr@suse.de
- Update to rhythmbox 0.93.1 for gstreamer 0.10 support
- Remove upstreamed patches
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 20 2006 stbinner@suse.de
- fix Name in .desktop file, second try
* Wed Feb 15 2006 stbinner@suse.de
- fix Name in .desktop file
* Thu Feb  9 2006 ro@suse.de
- added avahi-glib to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 sbrabec@suse.cz
- Fixed audioscrobbler track lenth bug (GNOME#323639).
* Wed Dec 21 2005 ro@suse.de
- fix build with current dbus
* Tue Dec  6 2005 sbrabec@suse.cz
- Fixed neededforbuild for 10.0 (lzo lzo-devel).
* Mon Dec  5 2005 sbrabec@suse.cz
- Fixed gstreamer scriptlet neededforbuild (krb5 fam).
* Thu Dec  1 2005 sbrabec@suse.cz
- Updated to version 0.9.2.
- Enabled all optional features.
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 0.8.8.
- Build with iPod and Dashboard integration support.
* Thu Mar 17 2005 sbrabec@suse.cz
- Do not require gstreamer-plugins-extra (#73637).
* Wed Mar 16 2005 sbrabec@suse.cz
- Require sufficient basic set of gstreamer plugins.
* Wed Mar 16 2005 clahey@suse.de
- Update name and category.
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Wed Nov  3 2004 ro@suse.de
- locale rename: no -> nb
* Tue Aug 31 2004 clahey@suse.de
- Cache rhythmbox help and show rhythmbox in khelpcenter.
* Sun Aug  1 2004 ro@suse.de
- regenerate skip-druid.diff and rename it to do-skip-druid.diff
* Fri Jul 30 2004 shprasad@suse.de
- Fixes bug #60998
  Skips the druid of Rhythmbox.
* Tue May 11 2004 sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Mon May 10 2004 sbrabec@suse.cz
- Updated to version 0.8.3 (GNOME 2.6).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Mar  3 2004 hhetter@suse.de
- updated to version 0.6.7
* Mon Feb 23 2004 adrian@suse.de
- move menu entry to Jukebox menu
- fix build as user
* Thu Feb 19 2004 sbrabec@suse.cz
- Updated to version 0.6.5.
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 0.5.88.
* Fri Oct 10 2003 sbrabec@suse.cz
- New SuSE package, version 0.5.1.
